(function($) {
    'use strict';

    Drupal.OnePage = Drupal.OnePage || {};

    Drupal.behaviors.onepageActions = {
        attach: function(context, settings) {
            $('.btn-btt').smoothScroll({
                speed: 600
            });
            Drupal.OnePage.metroBlock();
            Drupal.OnePage.mobileMenu();
            /*Drupal.OnePage.menuToggle();*/
            $(window).on('load', function() {
                Drupal.OnePage.filterPortfolio();
            });
        }
    };

    $(document).ready(function() {
        var owl_portfolio = $(".owl-carousel-portfolio .field-items");
        owl_portfolio.flexslider({
            animation: "slide",
        });

        $('.about-us-block .views-view-grid').addClass('owl-carousel-about-us');
        var owl_about_us = $(".about-us-block .owl-carousel-about-us");
        if($('html').attr('dir')=='rtl') {
           owl_about_us.owlCarousel({
                rtl:true,
                loop:true,
                responsive:{
                    0:{
                        items:1
                    },
                    360:{
                        items:1
                    },
                    480:{
                        items:2
                    },
                    600:{
                        items:2
                    },
                    1000:{
                        items:3
                    },
                    1200:{
                        items:4
                    }
                }
            });
        }
        else{
            owl_about_us.owlCarousel({
                loop:true,
                responsive:{
                    0:{
                        items:1
                    },
                    360:{
                        items:1
                    },
                    480:{
                        items:2
                    },
                    600:{
                        items:2
                    },
                    1000:{
                        items:3
                    },
                    1200:{
                        items:4
                    }
                }
            });
        }


        var owl_blogs = $(".blogs-block .owl-carousel-blogs");
        if($('html').attr('dir')=='rtl') {
            owl_blogs.owlCarousel({
                rtl:true,
                loop:true,
                responsive:{
                    0:{
                        items:1
                    },
                    600:{
                        items:1
                    },
                    992:{
                        items:2
                    }
                }
            });
        }
        else{
            owl_blogs.owlCarousel({
                loop:true,
                responsive:{
                    0:{
                        items:1
                    },
                    600:{
                        items:1
                    },
                    992:{
                        items:2
                    }
                }
            });
        }
        $(window).scroll(function() {
            if ($(window).scrollTop() > 200) {
                $('.btn-btt').show();
            } else {
                $('.btn-btt').hide();
            }
        });
    });

    Drupal.OnePage.metroBlock = function() {
        var metro_block = $('.metro-block');
        metro_block.find('.metro-link .metro-homepage .metro-info').each(function() {
            var $this = $(this);
            var metro_color = $this.data('metrocolor');
            $this.closest('.metro-homepage').css('background-color', metro_color);
        });
    };

    Drupal.OnePage.menuToggle = function() {
        $('.responsive-menu-button').once('menu-btn').on('click',function(e) {
            var target = $('.region-primary-menu');
            if (target.css('display') == 'none') {
              target.show();
              if (target.on('click', function() {
                target.hide();
              }));
            }
            else {
              target.hide();
            }
        });
    };

    Drupal.OnePage.mobileMenu = function() {
        $('.navbar-toggle').mobileMenu({
            targetWrapper: '#main-menu'
        });
    };

    Drupal.OnePage.filterPortfolio = function() {
        var content = jQuery('.portfolio-isotope .view-content-body');
        var header = jQuery('.portfolio-isotope .view-header .view-content');
        content.isotope({
            itemSelector: '.views-row',
            layoutMode: 'fitRows'
        });
        /*if (header.find('.all-filter').length == 0) {
            header.prepend('<div class="views-row"><a href="#" class="all-filter current">' + Drupal.t('All') + '</a></div>');
        }*/
        header.find('a').once('portfolio').click(function(e) {
            var self = $(this);
            var selfClass = self.attr('class');
            var filter = selfClass.split('-')[0];
            header.find('a').removeClass('current');
            self.addClass('current');
            if (filter == 'All') {
                content.isotope({filter : '*'});
            }
            else {
                content.isotope({filter : '.' + filter});
            }

            e.preventDefault();
            return false;
        });
    }

}(jQuery));
